"""Cataloging and searching components for hostels.
"""
import grok
from grok import index
from hurry.query import Eq, Text
from hurry.query.query import Query
from zope.catalog.interfaces import ICatalog
from zope.component import queryUtility
from waeup.sirp.interfaces import IUniversity, IQueryResultItem
from waeup.sirp.hostels.interfaces import IBed

class BedIndexes(grok.Indexes):
    """A catalog for beds.
    """
    grok.site(IUniversity)
    grok.name('beds_catalog')
    grok.context(IBed)

    #bed_id = index.Field(attribute='bed_id')
    #bed_number = index.Field(attribute='bed_number')
    bed_type = index.Field(attribute='bed_type')
    owner = index.Field(attribute='owner')
